// #autoload 
// #include = support/mute_tools.cs 

package AnnounceDeployed 
{ 
   function defaultMessageCallback(%msgType, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10) 
   { 
      if ($AnnouceToTeamActive)// see below for activation.... 
      { 
         // Check for the announce info.. if it's there.. mute it from the chat hud. 
         if (strstr(%msgString, "Your team has") != -1 && (strstr(%msgString, "deployed.") != -1 || strstr(%msgString, "placed.") != -1)) 
            return mute; 
      } 
      parent::defaultMessageCallback(%msgType, %msgString, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10); 
   } 
}; 
activatePackage(AnnounceDeployed); 


function AnnounceDeployed(%msgType, %msgstring) 
{ 
   if ($AnnouceToTeamActive)// see below for activation.... 
   { 
      %msgstring = detag(%msgstring); 
      %newmsg = strReplace (%msgstring, "Your team has", "We have"); // replace "Your team has" with "We have" in the message 
      commandToServer('TeamMessageSent', %newmsg); // Tell the team. 
   } 
} 
$AnnouceToTeamActive = 1; // 1 active, 0 deactivated 
addMessageCallback('MsgTeamDepObjCount', AnnounceDeployed);